/* Select main */
.cheezyui-select-wrapper {
    position: relative;
    display: inline-block;
    width: 100%;
    height: 100%;
}

select[cheezyui-select] {
    position: relative;
    z-index: 2;
    cursor: pointer;
}

.cheezyui-select-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
    cursor: pointer;
}

.cheezyui-select-dropdown {
    position: absolute;
    top: calc(100% + 0.5rem);
    left: 0;
    right: 0;
    background: #1e2434;
    border: 1px solid #242c3f;
    border-radius: 0.75rem;
    box-shadow: 0 1.25rem 1.5625rem -0.3125rem rgba(0, 0, 0, 0.1);
    max-height: 20rem;
    overflow-y: auto;
    z-index: 999;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-1rem);
    transition: all 0.2s ease;
}

.cheezyui-select-dropdown.open {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.cheezyui-select-option {
    padding: 0.75rem 1rem;
    cursor: pointer;
    font-size: 0.875rem;
    transition: background 0.15s;
    color: #80859b;
}

.cheezyui-select-option:hover {
    background: #21283b;
}

.cheezyui-select-option.selected {
    background: #252c3f;
    color: #ffffff;
}


/* Select scroll */
.cheezyui-select-dropdown::-webkit-scrollbar { /* scroll params */
    width: 2px;
    height: 2px;
}

.cheezyui-select-dropdown::-webkit-scrollbar-track { /* scroll secondary color */
    background: #1e2434;
    border-radius: 100%;
}

.cheezyui-select-dropdown::-webkit-scrollbar-thumb { /* scroll main color */
    background: #252c3f;
    border-radius: 100%;
}


/* Media requests */
@media (width < 41.875rem) {
    .cheezyui-select-dropdown {
        max-height: 12rem;
    }

    .cheezyui-select-option {
        padding: 0.55rem 0.75rem;
        font-size: 0.75rem;
    }
}